--- CVS/cperl-mode.el	2003-02-04 14:24:34.000000000 +0100
+++ pfeiffer/cperl-mode.el	2003-02-11 23:00:28.000000000 +0100
@@ -6633,8 +6586,7 @@
 		       "\\|"		; Grouping
 		       "\\((\\(\\?\\)?\\)" ; 7 8
 		       "\\|"		; |
-		       "\\(|\\)"	; 9
-		       )))
+		       "\\(|\\)")))	; 9
 	(goto-char (match-end 0))
 	(setq spaces t)
 	(cond ((match-beginning 1)	; Alphanum word + junk
@@ -6744,20 +6696,19 @@
 	    (not spaces)
 	    (insert " "))
 	(skip-chars-forward " \t"))
-	(or (looking-at "[#\n]")
-	    (error "Unknown code `%s' in a regexp"
-		   (buffer-substring (point) (1+ (point)))))
-	(and inline (end-of-line 2)))
+      (or (looking-at "[#\n]")
+	  (error "Unknown code `%s' in a regexp"
+		 (buffer-substring (point) (1+ (point)))))
+      (and inline (end-of-line 2)))
     ;; Special-case the last line of group
     (if (and (>= (point) (marker-position e))
 	     (/= (current-indentation) c))
 	(progn
-	 (beginning-of-line)
-	 (setq s (point))
-	 (skip-chars-forward " \t")
-	 (delete-region s (point))
-	 (indent-to-column c)))
-  ))
+	  (beginning-of-line)
+	  (setq s (point))
+	  (skip-chars-forward " \t")
+	  (delete-region s (point))
+	  (indent-to-column c)))))
 
 (defun cperl-make-regexp-x ()
   ;; Returns position of the start
@@ -6770,7 +6721,7 @@
 	nil				; good already
       (if (looking-at "\\([smy]\\|qr\\)\\s|")
 	  (forward-char 1)
-	(re-search-backward "\\s|")))		; Assume it is scanned already.
+	(re-search-backward "\\s|")))	; Assume it is scanned already.
     ;;(forward-char 1)
     (let ((b (point)) (e (make-marker)) have-x delim (c (current-column))
 	  (sub-p (eq (preceding-char) ?s)) s)
@@ -6825,23 +6776,23 @@
 We suppose that the regexp is scanned already."
   (interactive)
   ;; (save-excursion		; Can't, breaks `cperl-contract-levels'
-    (cperl-regext-to-level-start)
-    (let ((b (point)) (e (make-marker)) s c)
-      (forward-sexp 1)
-      (set-marker e (1- (point)))
-      (goto-char b)
-      (while (re-search-forward "\\(#\\)\\|\n" e 'to-end)
-	(cond
-	 ((match-beginning 1)		; #-comment
-	  (or c (setq c (current-indentation)))
-	  (beginning-of-line 2)		; Skip
-	  (setq s (point))
-	  (skip-chars-forward " \t")
-	  (delete-region s (point))
-	  (indent-to-column c))
-	 (t
-	  (delete-char -1)
-	  (just-one-space))))))
+  (cperl-regext-to-level-start)
+  (let ((b (point)) (e (make-marker)) s c)
+    (forward-sexp 1)
+    (set-marker e (1- (point)))
+    (goto-char b)
+    (while (re-search-forward "\\(#\\)\\|\n" e 'to-end)
+      (cond
+       ((match-beginning 1)		; #-comment
+	(or c (setq c (current-indentation)))
+	(beginning-of-line 2)		; Skip
+	(setq s (point))
+	(skip-chars-forward " \t")
+	(delete-region s (point))
+	(indent-to-column c))
+       (t
+	(delete-char -1)
+	(just-one-space))))))
 
 (defun cperl-contract-levels ()
   "Find an enclosing group in regexp and contract all the kids.
@@ -6881,7 +6832,7 @@
   "Change `if (A) {B}' into `B if A;' etc if possible."
   (interactive)
   (or (looking-at "\\<")
-	(forward-sexp -1))
+      (forward-sexp -1))
   (if (looking-at "\\<\\(if\\|unless\\|while\\|until\\|for\\|foreach\\)\\>")
       (let ((pos1 (point))
 	    pos2 pos3 pos4 pos5 s1 s2 state p pos45
@@ -7091,8 +7042,9 @@
 (defun cperl-fontify-syntaxically (end)
   ;; Some vars for debugging only
   ;; (message "Syntaxifying...")
-  (let (start (dbg (point)) (iend end)
-	(istate (car cperl-syntax-state)))
+  (let ((dbg (point)) (iend end)
+	(istate (car cperl-syntax-state))
+	start)
     (and cperl-syntaxify-unwind
 	 (setq end (cperl-unwind-to-safe t end)))
     (setq start (point))
@@ -7113,7 +7065,7 @@
 		 dbg iend
 		 start end cperl-syntax-done-to
 		 istate (car cperl-syntax-state))) ; For debugging
-    nil))					; Do not iterate
+    nil))				; Do not iterate
 
 (defun cperl-fontify-update (end)
   (let ((pos (point)) prop posend)
@@ -7122,7 +7074,7 @@
       (setq posend (next-single-property-change pos 'cperl-postpone nil end))
       (and prop (put-text-property pos posend (car prop) (cdr prop)))
       (setq pos posend)))
-  nil)				; Do not iterate
+  nil)					; Do not iterate
 
 (defun cperl-update-syntaxification (from to)
   (if (and cperl-use-syntax-table-text-property
@@ -7135,7 +7087,7 @@
 	  (cperl-fontify-syntaxically to)))))
 
 (defvar cperl-version
-  (let ((v  "Revision: 4.32"))
+  (let ((v  "Revision: 4.33"))
     (string-match ":\\s *\\([0-9.]+\\)" v)
     (substring v (match-beginning 1) (match-end 1)))
   "Version of IZ-supported CPerl package this file is based on.")
